<html devsite><head>
    <title>Nexus 보안 게시판 - 2015년 9월</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>2015년 9월 9일 게시됨</em></p>

<p>Google의 Android 보안 게시판 월간 출시 과정의 일환으로 무선(OTA)
업데이트를 통해 Nexus 기기의 보안 업데이트(빌드 LMY48M)가
출시되었습니다. 또한 다음 문제를 해결하는 Nexus 기기 업데이트와
소스 코드 패치가 Android 오픈소스 프로젝트(AOSP) 소스 저장소에
출시되었습니다. 이 중 가장 심각한 문제는 대상 기기에서
원격 코드를 실행할 수 있게 하는 심각한 보안 취약성입니다.</p>

<p>Nexus 펌웨어 이미지도 <a href="https://developers.google.com/android/nexus/images">Google 개발자 사이트</a>에 출시되었습니다.
빌드 LMY48M 이상에서 이 문제가 해결됩니다. 이 문제를 안내하는 알림이
2015년 8월 13일 이전에 파트너에게 전달되었습니다.</p>

<p>고객이 새로 보고된 문제로 인해 악용당한 사례는 감지되지 않았습니다. 예외로는
기존 문제(CVE-2015-3636)가 있습니다. Android에서 보안 취약성이 악용될
가능성을 줄이는 <a href="/security/enhancements/index.html">Android 보안 플랫폼 보호</a> 및 SafetyNet과 같은 서비스 보호 기능에 관해 자세히 알아보려면
<a href="#mitigations">완화</a> 섹션을 참조하세요.</p>

<p>심각한 보안 업데이트 CVE-2015-3864 및
CVE-2015-3686 모두 이미 공개된 취약성을 해결합니다. 이 업데이트에는
새로 공개된 심각한 보안 취약성이 없습니다. <a href="/security/overview/updates-resources.html#severity">심각도
평가</a>는
개발 목적으로 플랫폼 및 서비스 완화를 사용할 수 없거나
우회에 성공한 경우 취약성 악용으로 인해
대상 기기가 받는 영향을 기준으로 내려집니다.</p>

<p>모든 고객은 기기에서 이 업데이트를 수락하는 것이 좋습니다.</p>

<h2 id="mitigations">완화</h2>

<p>다음은 SafetyNet과 같은 <a href="/security/enhancements">Android 보안 플랫폼</a> 및 서비스 보호 기능에서 제공하는 완화를 요약한 내용입니다. 이러한 기능을 통해
Android에서 보안 취약성이 악용될 가능성을 줄일 수
있습니다.</p>

<ul>
  <li> Android 플랫폼 최신 버전의 향상된 기능으로 Android의 여러 문제를
악용하기 더욱 어려워졌습니다. 가능한 경우 모든 사용자는
Android 최신 버전으로 업데이트하는 것이 좋습니다.
  </li><li> Android 보안팀에서는 유해할 수 있는 애플리케이션이 설치될 때
경고를 보내는 앱 인증 및 SafetyNet을 사용하여 악용사례를 적극적으로
모니터링합니다. Google Play 내에서 기기 루팅 도구는 금지되어 있습니다. Google Play
외부에서 가져온 애플리케이션을 설치하는 사용자를 보호하기 위해 앱 인증이
기본적으로 사용 설정되며 알려진 루팅 애플리케이션이 감지되면 경고를 표시합니다. 앱
인증에서는 권한 승격 취약성을 악용하는 것으로 알려진 악성 애플리케이션을
식별하고 차단합니다. 이러한 애플리케이션이
이미 설치된 경우 앱 인증에서 사용자에게 이를 알리고
애플리케이션 삭제를 시도합니다.
  </li><li> Google 행아웃과 메신저 애플리케이션은 미디어 서버와 같은 프로세스에
미디어를 자동으로 전달하지 않습니다.
</li></ul>

<h2 id="acknowledgements">감사의 말씀</h2>

<p>참여해 주신 다음 연구원에게 감사드립니다.</p>

<ul>
  <li> Exodus Intelligence의 Jordan Gruskovnjak(@jgrusko): CVE-2015-3864
  </li><li> Michał Bednarski: CVE-2015-3845
  </li><li> Qihoo 360 Technology Co. Ltd(@oldfresher)의 Guang Gong: CVE-2015-1528,
       CVE-2015-3849
  </li><li> Brennan Lautner: CVE-2015-3863
  </li><li> jgor(@indiecom): CVE-2015-3860
  </li><li> Trend Micro Inc.의 Wish Wu(@wish_wu): CVE-2015-3861
</li></ul>

<h2 id="security_vulnerability_details">보안 취약성 세부정보</h2>

<p>다음 섹션에서는 이 게시판에 설명된 각 보안 취약성에 관한
세부정보를 제공합니다. 여기에는 문제 설명, 심각도 근거 및 CVE, 관련 버그,
심각도, 해당 버전, 신고된 날짜가 포함된 표가 제시됩니다.
가능한 경우 문제를 해결한 AOSP 변경사항을 버그 ID에 연결했습니다.
하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 AOSP 참조가
버그 ID 다음에 표시되는 번호에 연결됩니다.</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">미디어 서버의 원격 코드 실행 취약성</h3>

<p>특별히 제작된 파일을 미디어 파일 및 데이터 처리하는 동안
미디어 서버의 취약성을 통해 공격자가 메모리 손상을 일으키고
원격 코드가 미디어 서버 프로세스로 실행되도록 할 수 있습니다.</p>

<p>문제의 기능은 운영체제의 핵심 부분이며, 여러 애플리케이션에서
이 기능이 원격 콘텐츠, 특히 MMS와 미디어의 브라우저 재생에
접근할 수 있게 허용합니다.</p>

<p>이 문제는 미디어 서버 서비스 내에서 원격 코드를 실행할 가능성이 있으므로
심각도 심각으로 평가됩니다. 미디어 서버 서비스는
오디오와 동영상 스트림뿐 아니라 타사 앱이 일반적으로 액세스할 수 없는
권한에 액세스할 수 있습니다.</p>

<p>이 문제는 이미 보고된 CVE-2015-3824(ANDROID-20923261)와 관련이 있습니다.
 기존의 보안 업데이트로는 이미 보고된 문제의 변형을
해결할 수 없었습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3864</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/6fe85f7e15203e48df2cc3e8e1c4bc6ad49dc968">ANDROID-23034759</a></td>
    <td>심각</td>
    <td> 5.1 이하</td>
 </tr>
</tbody></table>

<h3 id="elevation_privilege_vulnerability_in_kernel">커널의 권한 승격 취약성</h3>

<p>Linux 커널의 핑 소켓 처리에 권한 승격 취약성이 있어서
악성 애플리케이션이 커널 컨텍스트 내에서 임의의 코드를
실행할 수 있습니다.</p>

<p>이 문제는 권한 있는 서비스에서 기기 보호를 우회할 수
있는 코드를 실행하여 일부 기기에서 영구적인 손상(예:
시스템 파티션 초기화 필요)을 일으킬 수 있으므로
심각도 심각으로 평가됩니다.</p>

<p>이 문제는 2015년 5월 1일에 처음 공개적으로 확인되었습니다. 이 취약성
악용에는 기기 소유자가 기기의 펌웨어를 수정하는 데 사용할 수 있는
다양한 '루팅' 도구가 포함될 수 있습니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3636 </td>
    <td><a href="https://github.com/torvalds/linux/commit/a134f083e79f">ANDROID-20770158</a></td>
    <td>심각</td>
    <td>5.1 이하</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_binder">Binder의 권한 승격 취약성 </h3>

<p>Binder의 권한 승격 취약성은 악성 애플리케이션이
다른 앱의 프로세스 내에서 임의의 코드를 실행할 수
있게 합니다.</p>

<p>이 문제는 악성 애플리케이션이 제3자 애플리케이션에서 액세스할 수 없는
권한을 얻을 수 있도록 하기  때문에 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3845</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/e68cbc3e9e66df4231e70efa3e9c41abc12aea20">ANDROID-17312693</a></td>
    <td>높음</td>
    <td>5.1 이하</td>
 </tr>
 <tr>
    <td>CVE-2015-1528</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/7dcd0ec9c91688cfa3f679804ba6e132f9811254">ANDROID-19334482</a> [<a href="https://android.googlesource.com/platform/system/core/+/e8c62fb484151f76ab88b1d5130f38de24ac8c14">2</a>]</td>
    <td>높음</td>
    <td>5.1 이하</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_keystore">키 저장소의 권한 승격 취약성</h3>

<p>키 저장소의 권한 승격 취약성은 악성 애플리케이션이
키 저장소 서비스 내에서 임의의 코드를 실행할 수 있게
합니다. 또한 하드웨어 지원 키를 비롯하여 키 저장소에서 저장한
키를 무단으로 사용할 수 있게 합니다.</p>

<p>이 문제는 제3자 애플리케이션에서 액세스할 수 없는 권한을 얻는 데
사용될 수 있어서 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3863</td>
    <td><a href="https://android.googlesource.com/platform/system/security/+/bb9f4392c2f1b11be3acdc1737828274ff1ec55b">ANDROID-22802399</a></td>
    <td>높음</td>
    <td>5.1 이하</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_region">지역의 권한 승격 취약성 </h3>

<p>지역의 권한 승격 취약성은 서비스로 가는 악성 메시지를
생성하여 악성 애플리케이션이 대상 서비스 내에서
임의의 코드를 실행할 수 있게 합니다.</p>

<p>이 문제는 제3자 애플리케이션에 액세스할 수 없는 권한을 얻는 데
사용될 수 있기 때문에 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3849</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/4cff1f49ff95d990d6c2614da5d5a23d02145885">ANDROID-20883006</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/1e72dc7a3074cd0b44d89afbf39bbf5000ef7cc3">2</a>]</td>
    <td>높음</td>
    <td>5.1 이하</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_sms_enables_notification_bypass">알림을 우회할 수 있게 하는 SMS의 권한 승격 취약성 </h3>

<p>Android에서 SMS 메시지를 처리하는 방식의 권한 승격 취약성은
악성 애플리케이션이 특수 정보 요금 SMS 경고 알림을 우회하는
SMS를 보낼 수 있게 합니다.</p>

<p>이 문제는 제3자 애플리케이션에 액세스할 수 없는 권한을 얻는 데
사용될 수 있기 때문에 심각도 높음으로 평가됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3858</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/opt/telephony/+/df31d37d285dde9911b699837c351aed2320b586">ANDROID-22314646</a></td>
    <td>높음</td>
    <td>5.1 이하</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_lockscreen">잠금 화면의 권한 승격 취약성</h3>

<p>잠금 화면의 권한 승격 취약성은 악성 사용자가
잠금 화면을 우회하여 다운을 일으킬 수 있게 합니다. 이 문제는
Android 5.0과 5.1에서만 취약성으로 분류됩니다. 4.4에서와 마찬가지로
시스템 UI가 잠금 화면에서 다운시킬 수 있지만 메인 스크린에
액세스할 수 없으며 복구하려면 기기를 재부팅해야 합니다.</p>

<p>이 문제는 누군가 기기에 실제로 액세스하여 기기 소유자의
허락을 받지 않고도 제3자 앱을 설치할 수 있기 때문에
심각도 보통으로 평가됩니다. 또한 공격자가
연락처 데이터, 전화 로그, SMS 메시지 및 일반적으로 '위험' 수준의
권한으로 보호되는 기타 데이터를 볼 수 있게 합니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3860</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/8fba7e6931245a17215e0e740e78b45f6b66d590">ANDROID-22214934</a></td>
    <td>보통</td>
    <td>5.1 및 5.0</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_mediaserver">미디어 서버의 서비스 거부(DoS) 취약성</h3>

<p>미디어 서버의 서비스 거부 취약성은 로컬 공격자가
일시적으로 대상 기기에 대한 액세스를 차단할 수 있게 합니다.</p>

<p>이 문제는 사용자가 안전 모드로 다시 부팅하여 이 문제를 악용하는
악성 애플리케이션을 삭제할 수 있기 때문에 심각도 낮음으로 평가됩니다. 또한
미디어 서버가 웹이나 MMS를 통해 원격으로 악성 파일을
처리할 수 있게 하는데, 이 경우 미디어 서버 프로세스가 다운되지만
기기는 사용할 수 있는 상태로 유지됩니다.</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>AOSP 링크가 포함된 버그</th>
    <th>심각도</th>
    <th>해당 버전</th>
 </tr>
 <tr>
    <td>CVE-2015-3861</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/304ef91624e12661e7e35c2c0c235da84a73e9c0">ANDROID-21296336</a></td>
    <td>낮음</td>
    <td>5.1 이하</td>
 </tr>
</tbody></table>

</body></html>